disc.h File Reference

Deals with individual normal discs and sets of normal discs in a normal surface. More...

`#include <cassert>`
`#include "regina-core.h"`
`#include "surfaces/normalsurface.h"`
`#include "triangulation/dim3.h"`

## Classes

struct | regina::DiscSpec
| Specifies a single normal disc in a normal surface. More...
class | regina::DiscSetTet
| Represents a set of normal discs inside a single tetrahedron. More...
class | regina::DiscSetTetData< T >
| Stores data of type `T` for every normal disc inside a single tetrahedron. More...
class | regina::DiscSetSurface
| Represents the set of all normal discs forming a normal surface. More...
class | regina::DiscSetSurfaceData< T >
| Stores data of type `T` for every normal disc within a particular normal surface. More...
class | regina::DiscSpecIterator
| An iterator used for running through all normal discs in a normal surface. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef DiscSpec | regina::NDiscSpec
| Deprecated typedef for backward compatibility. More...
typedef DiscSetTet | regina::NDiscSetTet
| Deprecated typedef for backward compatibility. More...
template<class T >
using | regina::NDiscSetTetData = DiscSetTetData< T >
| Deprecated typedef for backward compatibility. More...
typedef DiscSetSurface | regina::NDiscSetSurface
| Deprecated typedef for backward compatibility. More...
template<class T >
using | regina::NDiscSetSurfaceData = DiscSetSurfaceData< T >
| Deprecated typedef for backward compatibility. More...

## Functions

std::ostream & | regina::operator<< (std::ostream &out, const DiscSpec &spec)
| Writes the given disc specifier to the given output stream. More...
bool | regina::numberDiscsAwayFromVertex (int discType, int vertex)
| Determines whether or not normal discs of the given type are numbered away from the given vertex. More...
bool | regina::discOrientationFollowsEdge (int discType, int vertex, int edgeStart, int edgeEnd)
| Determines whether or not the natural boundary orientation of a normal disc of the given type follows the given directed normal arc. More...

## Detailed Description

Deals with individual normal discs and sets of normal discs in a normal surface.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).